Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.util
Class UniformElementVisitor

    java.lang.Object
      net.sf.jasperreports.engine.util.UniformElementVisitor

All Implemented Interfaces:
  JRVisitor

Direct Known Subclasses:
  DrawVisitor

    public abstract class UniformElementVisitor

extends java.lang.Object
implements JRVisitor

An abstract visitor class that treats all report elements in the same way.

Version:
  $Id: UniformElementVisitor.java 3991 2010-10-12 20:10:55Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  `visitElement(JRElement)`

Constructor Summary
`UniformElementVisitor()`

Method Summary
`void` | `visitBreak(JRBreak breakElement)`
`void` | `visitChart(JRChart chart)`
`void` | `visitComponentElement(JRComponentElement componentElement)` Visits a component wrapper element.
`void` | `visitCrosstab(JRCrosstab crosstab)`
`protected abstract void` | `visitElement(JRElement element)` Method that gets called when any element is visited, no matter what its type is.
`void` | `visitEllipse(JREllipse ellipse)`
`void` | `visitFrame(JRFrame frame)`
`void` | `visitGenericElement(JRGenericElement element)` Visits a generic report element.
`void` | `visitImage(JRImage image)`
`void` | `visitLine(JRLine line)`
`void` | `visitRectangle(JRRectangle rectangle)`
`void` | `visitStaticText(JRStaticText staticText)`
`void` | `visitSubreport(JRSubreport subreport)`
`void` | `visitTextField(JRTextField textField)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRVisitor
`visitElementGroup`

Constructor Detail

### UniformElementVisitor

    public UniformElementVisitor()

Method Detail

### visitElement

    protected abstract void visitElement(JRElement element)

  Method that gets called when any element is visited, no matter what its type is.

  Parameters:
    `element` - the element to be visited

### visitBreak

    public void visitBreak(JRBreak breakElement)

  Specified by:
    `visitBreak` in interface `JRVisitor`

### visitChart

    public void visitChart(JRChart chart)

  Specified by:
    `visitChart` in interface `JRVisitor`

### visitComponentElement

    public void visitComponentElement(JRComponentElement componentElement)

  Description copied from interface: `JRVisitor`
  Visits a component wrapper element.

  Specified by:
    `visitComponentElement` in interface `JRVisitor`
  Parameters:
    `componentElement` - the element to visit

### visitCrosstab

    public void visitCrosstab(JRCrosstab crosstab)

  Specified by:
    `visitCrosstab` in interface `JRVisitor`

### visitEllipse

    public void visitEllipse(JREllipse ellipse)

  Specified by:
    `visitEllipse` in interface `JRVisitor`

### visitFrame

    public void visitFrame(JRFrame frame)

  Specified by:
    `visitFrame` in interface `JRVisitor`

### visitGenericElement

    public void visitGenericElement(JRGenericElement element)

  Description copied from interface: `JRVisitor`
  Visits a generic report element.

  Specified by:
    `visitGenericElement` in interface `JRVisitor`
  Parameters:
    `element` - the element to visit

### visitImage

    public void visitImage(JRImage image)

  Specified by:
    `visitImage` in interface `JRVisitor`

### visitLine

    public void visitLine(JRLine line)

  Specified by:
    `visitLine` in interface `JRVisitor`

### visitRectangle

    public void visitRectangle(JRRectangle rectangle)

  Specified by:
    `visitRectangle` in interface `JRVisitor`

### visitStaticText

    public void visitStaticText(JRStaticText staticText)

  Specified by:
    `visitStaticText` in interface `JRVisitor`

### visitSubreport

    public void visitSubreport(JRSubreport subreport)

  Specified by:
    `visitSubreport` in interface `JRVisitor`

### visitTextField

    public void visitTextField(JRTextField textField)

  Specified by:
    `visitTextField` in interface `JRVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com